---
id: salle-23-000
type: Location
contains:
  - antidote-000
props:
  - dark
events:
  info:
    actor: "Salle 23."
  look:
    actor: |
      Vous êtes dans la salle 23. Au sud, une porte donne sur la partie
      centrale de l'étage. Au sol il y a un antidote.

---
id: etage-salle-23-000
type: Portal
exits:
  - id: etage-000-nord
    location: etage-000
    direction: nord
  - id: salle-23-000-sud
    location: salle-23-000
    direction: sud

---
id: terrasse-000
type: Location
contains:
  - briquet-000
  - casque-000
props:
  - dark
events:
  info:
    actor: "Terrasse."
  look:
    actor: |
      Vous êtes dans la terrasse. Une tyrolienne est à proximité de vous.
      Si vous utlisez la tyrolienne, elle vous ménera dans la cabane.
      Avant de descendre à la tyrolienne prenez le casque. <br> 
      <img src='/static/tyrolienne.jpg'>


---
id: escalier-002
type: Portal
exits:
  - id: cabane-000-haut
    location: cabane-000
  - id: terrasse-000-bas
    location: terrasse-000
    direction: bas  

---
id: flambeau-000
type: Thing
props:
  - lightable
  - takable
names   :
  - flambeau
events:
  info:
    actor:
      - props: =flambeau-000:light-on
        data : "Un flambeau allumé."
      - data : "Un flambeau éteint."
  look:
    actor:
      - props: object:light-on
        data : "Un flambeau allumé."
      - data : "Un flambeau éteint."
  light-on:
    - props : object:light-on
      actor : "Le flambeau est déjà allumé."
    - actor : "Vous allumez votre flambeau."
      observer: |
        {{ actor.name }} allume son flambeau.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-off:
    - props : -object:light-on
      actor : "Le flambeau est déjà éteint."
    - actor : "Vous éteignez votre flambeau."
      observer: |
        {{ actor.name }} éteint son flambeau.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-on


---
id: gps-000
type: Thing
props:
  - lightable
  - takable
names   :
  - gps
events:
  info:
    actor:
      - props: =gps-000:light-on
        data : "Un GPS allumé."
      - data : "Un GPS éteint."
  look:
    actor:
      - props: object:light-on
        data : "Un GPS allumé."
      - data : "Un GPS éteint."
  light-on:
    - props : object:light-on
      actor : "Le GPS est déjà allumé."
    - actor : "Vous allumez votre GPS."
      observer: |
        {{ actor.name }} allume son GPS même s'il ne vous est d'aucune utilité à l'endroit où vous êtes.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-off:
    - props : -object:light-on
      actor : "Le GPS est déjà éteint."
    - actor : "Vous éteignez votre GPS."
      observer: |
        {{ actor.name }} éteint son GPS.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-on



---
id: portal-voiture-parking-000
type: Portal
props:
  - closed
  - closable
exits:
  - id: voiture-000-nord
    location: voiture-000
    direction: nord
    name:
      - porte
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous arrivez sur la parking."
        observer  : "{{ actor.name }} arrive sur le parking."
        failed:
          actor   : &porte001 |
            La porte à votre gauche est fermée et vous ne pouvez l'ouvrir sans la clef.
          observer: &porte002 |
            {{ actor.name }} tente en vain d'ouvrir la porte de la voiture
      leave-portal:
        actor     : "Vous sortez de votre voiture."
        observer  : "{{ actor.name }} sort de sa voiture."
      open        :
        - props   : portal:closed
          actor   : *porte001
          observer: *porte002
        - props   : -portal:closed
          actor   : &porte003 "La porte est déjà ouverte!"
      open-with   :
        - props   :
            - portal:closed
            - object2:key-for-porte-voiture-000
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La porte de la voiture s'ouvre et vous faites tomber votre smartphone.
          observer: |
            {{ actor.name }} ouvre la porte de la voiture.
        - props   :
            - portal:closed
            - -object2:key-for-porte-porche-000
          actor   : |
            Vous tentez vainement de couper le contact de votre voiture avec
            {{ object2.noun_the() }}
          observer: |
            {{ actor.name }} tente vainement de couper le contact de sa voiture avec {{ object2.noun_a() }}
        - props   :
            - -portal:closed
          actor   : *porte003
          observer: |
            {{ actor.name }} tente futilement de couper le contact de sa voiture avec {{ object2.noun_a() }}, alors
            qu'elle est déjà ouverte.
      close       : &porte004
        - props   : portal:closed
          actor   : "Vous fermez la porte de votre voiture."
          observer: "{{ actor.name }} ferme la porte de sa voiture."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-voiture-parking-000:closed
      close-with  : *porte004
  - id: parking-000-sud
    location: parking-000
    direction: sud
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} se trouve devant sa voiture"
        failed:
          actor   : |
            La porte de votre voiture est fermée. Utiliser votre clef.
          observer: |
            {{ actor.name }} tente en vain d'ouvrir la porte de son véhicule
